[CONFIG]
;Наименование драйвера
ServerName = 'Штрих-М'

; Все параметры и их значения по-умолчанию
[params]
params[]=FontSize
params[]=PaperWidth
params[]=FontBold
params[]=KKMurl
params[]=ConnectionURI
params[]=delayPrint
params[]=QRSize
params[]=vat_type
params[]=vatNo
params[]=vat0
params[]=vat105
params[]=vat5
params[]=vat107
params[]=vat7
params[]=vat110
params[]=vat10
params[]=vat120
params[]=vat20
params[]=repeat

; Описания параметров
; title - название
; description - описание, если необходимо
; group - принадлежность к группе
; default - значение по-умолчанию, отсутствие параметра обазначет, что это раздел
; required - обязательность параметра (1 - обязательный, 0 - небязательный)
; hide - скрытый параметр (1 - да, 0 - нет)

[repeat]
repeat[title]='Кол-во повторов'
repeat[default]=1
repeat[required]=0
repeat[device]='pre,bar,kitchen'

[FontSize]
FontSize[title]='Шрифт по-умолчанию'
FontSize[default]=1
FontSize[required]=1

[PaperWidth]
PaperWidth[title]='Кол-во символов на одной строке'
PaperWidth[description]='Для автоопределения укажите 0 или auto'
PaperWidth[default]=32
PaperWidth[required]=1

[FontBold]
FontBold[title]='Шрифт для печати жирной строки'
FontBold[default]=2
FontBold[required]=1

[KKMurl]
KKMurl[title]='Адрес сервера по умолчанию'
KKMurl[default]=http://127.0.0.1:10623
KKMurl[required]=1

[ConnectionURI]
ConnectionURI[title]='Адрес подключения к ККМ'
ConnectionURI[description]='<b>protocol</b> - тип протокола, v1(по умолчанию) - стандартный протокол ФР, v2 - альтернативный протокол.<br><b>enq_mode</b> в 0 - без ENQ перед каждой команды(по умолчанию), 1 - посылать ENQ перед каждой командой.<br><b>timeout</b> - таймаут соединения/исполнения команды в миллисекундах, по умолчанию 15000.<br><br><b>Поддерживаемые схемы</b>:<br><b>tcp</b> - tcp сокет ip:[port] по умолчанию порт 7778<br><b>plain_transfer</b>=auto, автоматически пытаться переводить протокол в режим надежной передачи при подключении.<b>serial</b> - последовательный(COM/tty) порт, для Windows COM#. для UNIX - полный путь или имя устройства в /dev/<br><b>baudrate</b>=115200 - скорость порта<br><b>btserial</b> - bluetooth rfcomm соединение, адрес bluetooth устройства. пример: 000190C55E78<br><b>cdcacm</b> - соединение по cdcacm средствами драйвера, любое значение. захватывается первое устройство с известными VID/PID<br><b>ssl</b> - ssl/tls socket ip:port<br><b>ca_path</b>=путь - путь к der/pem файлу корневого сертификата(обязательный параметр)<br><b>verification</b>=skip - не выполнять верификацию сертификата<br><b>cn_host</b>=hostname - имя хоста при проверке сертификата<br><br><b>Примеры</b>:<br>Кассовое ядро - tcp://127.0.0.1:12345?timeout=45000&protocol=v2<br>RNDIS - tcp://192.168.137.111:7778?timeout=45000&protocol=v1&enq_mode=1&ack_timeout=1000<br>Локальная сеть - tcp://192.168.1.120:7778?timeout=45000&protocol=v1<br>Блютус - btserial://000190C55E78?timeout=45000&protocol=v2<br>Linux локальный порт - serial://ttyACM0?baudrate=115200&timeout=45000&protocol=v1<br>Windows локальный порт - serial://COM1?baudrate=115200&timeout=45000&protocol=v1<br>cdcacm средствами драйвера - cdcacm://shtrih?timeout=45000&protocol=v1&enq_mode=0&ack_timeout=500'
ConnectionURI[default]='tcp://192.168.137.111:7778?timeout=45000&protocol=v1&enq_mode=1&ack_timeout=1000'
ConnectionURI[required]=1

[delayPrint]
delayPrint[title]='Отложенная печать для многострочных текстов'
delayPrint[default]=0
delayPrint[required]=1

[QRSize]
QRSize[title]='Размер QR-кода по умолчанию'
QRSize[default]=5
QRSize[required]=1

[vat_type]
vat_type[title]='Номера налогов'

[vatNo]
vatNo[title]='Нет НДС'
vatNo[default]=4
vatNo[required]=1
vatNo[group]=vat_type

[vat0]
vat0[title]='НДС 0%'
vat0[default]=3
vat0[required]=1
vat0[group]=vat_type

[vat105]
vat105[title]='НДС 5% начисленные'
vat105[default]=9
vat105[required]=1
vat105[group]=vat_type

[vat5]
vat5[title]='НДС 5% выделенные'
vat5[default]=7
vat5[required]=1
vat5[group]=vat_type

[vat107]
vat107[title]='НДС 7% начисленные'
vat107[default]=10
vat107[required]=1
vat107[group]=vat_type

[vat7]
vat7[title]='НДС 7% выделенные'
vat7[default]=8
vat7[required]=1
vat7[group]=vat_type

[vat110]
vat110[title]='НДС 10% начисленные'
vat110[default]=6
vat110[required]=1
vat110[group]=vat_type

[vat10]
vat10[title]='НДС 10% выделенные'
vat10[default]=2
vat10[required]=1
vat10[group]=vat_type

[vat120]
vat120[title]='НДС 20% начисленные'
vat120[default]=5
vat120[required]=1
vat120[group]=vat_type

[vat20]
vat20[title]='НДС 20% выделенные'
vat20[default]=1
vat20[required]=1
vat20[group]=vat_type
